Bug 1412214 - NRPE systemd service file does not support reload command
Summary: NRPE systemd service file does not support reload command
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nrpe
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen John Smoogen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 14:32 UTC by Bas Couwenberg
Modified: 2017-07-07 22:55 UTC (History)
10 users (show)

Fixed In Version: nrpe-3.1.1-1.fc24 nrpe-3.1.1-1.fc25 nrpe-3.1.1-1.el6 nrpe-3.1.1-1.el7 nrpe-3.1.1-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-04 00:20:06 UTC


Attachments (Terms of Use)
NRPE service with reload support (367 bytes, text/plain)
2017-01-11 14:32 UTC, Bas Couwenberg
no flags Details
Restore support for NRPE_SSL_OPT variable in systemd service files (1.43 KB, patch)
2017-03-04 12:04 UTC, Bas Couwenberg
no flags Details | Diff

Description Bas Couwenberg 2017-01-11 14:32:54 UTC
Created attachment 1239459 [details]
NRPE service with reload support

Description of problem:

The systemd service file for nrpe doesn't support the reload command which the init script did support.

Attached is an updated systemd service file which supports the reload command.

I've forwarded a similar change for inclusion in the sample service file provided by upstream, see: https://github.com/NagiosEnterprises/nrpe/pull/90

Comment 1 Fedora Admin XMLRPC Client 2017-01-17 19:36:34 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora End Of Life 2017-02-28 10:55:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Fedora Update System 2017-03-03 23:30:20 UTC
nrpe-3.0.1-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c4f49632d3

Comment 4 Fedora Update System 2017-03-04 00:08:21 UTC
nrpe-3.0.1-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a89da38bf3

Comment 5 Bas Couwenberg 2017-03-04 10:17:12 UTC
Thanks for updating the NRPE service file.

I noticed that the changes committed also drop support for the NRPE_SSL_OPT variable set in /etc/sysconfig/nrpe, I don't think that is desirable.

Comment 6 Bas Couwenberg 2017-03-04 12:04:20 UTC
Created attachment 1259905 [details]
Restore support for NRPE_SSL_OPT variable in systemd service files

Comment 7 Fedora Update System 2017-03-05 04:20:38 UTC
nrpe-3.0.1-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c4f49632d3

Comment 8 Fedora Update System 2017-03-05 04:23:27 UTC
nrpe-3.0.1-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a89da38bf3

Comment 9 Stephen John Smoogen 2017-03-22 18:39:29 UTC
OK I think I have gotten all the changes needed back into it. I hope to have it in the -5 build later today.

Comment 10 Fedora Update System 2017-03-23 21:50:35 UTC
nrpe-3.0.1-6.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f92515d27

Comment 11 Fedora Update System 2017-03-23 22:08:38 UTC
nrpe-3.0.1-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d12527a635

Comment 12 Fedora Update System 2017-03-24 19:53:10 UTC
nrpe-3.0.1-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f92515d27

Comment 13 Fedora Update System 2017-03-24 20:24:34 UTC
nrpe-3.0.1-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d12527a635

Comment 14 Christian Kujau 2017-05-11 06:11:32 UTC
# rpm -q nrpe && systemctl reload nrpe && journalctl -f
nrpe-3.0.1-6.fc25.x86_64

-- Logs begin at Wed 2017-05-10 22:06:11 PDT. --
May 10 23:10:49 disko systemd[1]: Reloading Nagios Remote Program Executor.
May 10 23:10:49 disko nrpe[5761]: Caught SIGHUP - restarting...
May 10 23:10:49 disko nrpe[5761]: Server listening on 127.0.0.1 port 5666.
May 10 23:10:49 disko nrpe[5761]: Listening for connections on port 5666
May 10 23:10:49 disko nrpe[5761]: Allowing connections from: 127.0.0.1
May 10 23:10:49 disko systemd[1]: Reloaded Nagios Remote Program Executor.
^C

Comment 15 Fedora Update System 2017-05-14 15:51:16 UTC
nrpe-3.1.0-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-665b1abde6

Comment 16 Fedora Update System 2017-05-15 06:35:33 UTC
nrpe-3.1.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-665b1abde6

Comment 17 Christian Kujau 2017-05-15 20:35:49 UTC
This worked with nrpe-3.0.1-6.fc25, but not with nrpe-3.1.0-3.fc25:

# rpm -q nrpe && systemctl reload nrpe
nrpe-3.1.0-3.fc25.x86_64
Failed to reload nrpe.service: Job type reload is not applicable for unit nrpe.service.
See system logs and 'systemctl status nrpe.service' for details.

That's because nrpe.service is missing an ExecReload command (like nrpe-3.0.1-6.fc25 used to have).


Workaround:


# systemctl edit nrpe.service
# cat /etc/systemd/system/nrpe.service.d/override.conf 
[Service]
PIDFile=/var/run/nrpe/nrpe.pid
ExecReload=/bin/kill -HUP $MAINPID
ExecStopPost=/bin/rm -f /var/run/nrpe/nrpe.pid


# rpm -q nrpe && systemctl reload nrpe && journalctl -f
nrpe-3.1.0-3.fc25.x86_64
May 15 13:34:53 disko systemd[1]: Reloading Nagios Remote Program Executor.
May 15 13:34:53 disko nrpe[20635]: Caught SIGHUP - restarting...
May 15 13:34:53 disko nrpe[20635]: Server listening on 127.0.0.1 port 5666.
May 15 13:34:53 disko systemd[1]: Reloaded Nagios Remote Program Executor.
May 15 13:34:53 disko nrpe[20635]: Listening for connections on port 5666
May 15 13:34:53 disko nrpe[20635]: Allowing connections from: 127.0.0.1

Comment 18 Fedora Update System 2017-06-14 23:43:24 UTC
nrpe-3.1.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-69a58c7a69

Comment 19 Fedora Update System 2017-06-15 00:03:22 UTC
nrpe-3.1.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb24165ee1

Comment 20 Fedora Update System 2017-06-15 00:37:23 UTC
nrpe-3.1.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-be117b53a8

Comment 21 Fedora Update System 2017-06-15 00:47:38 UTC
nrpe-3.1.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-92879f40b9

Comment 22 Fedora Update System 2017-06-15 01:02:50 UTC
nrpe-3.1.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f37341bbab

Comment 23 Fedora Update System 2017-06-15 09:48:36 UTC
nrpe-3.1.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-92879f40b9

Comment 24 Fedora Update System 2017-06-15 09:48:41 UTC
nrpe-3.1.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f37341bbab

Comment 25 Fedora Update System 2017-06-15 10:57:54 UTC
nrpe-3.1.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-be117b53a8

Comment 26 Fedora Update System 2017-06-15 10:59:51 UTC
nrpe-3.1.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb24165ee1

Comment 27 Fedora Update System 2017-06-15 14:01:57 UTC
nrpe-3.1.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-69a58c7a69

Comment 28 Fedora Update System 2017-07-04 00:20:06 UTC
nrpe-3.1.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2017-07-04 01:51:17 UTC
nrpe-3.1.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2017-07-04 04:17:50 UTC
nrpe-3.1.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2017-07-04 04:20:01 UTC
nrpe-3.1.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2017-07-07 22:55:46 UTC
nrpe-3.1.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.